ddf.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/base.h>`
`#include <cstdio>`
`#include <iostream>`
Include dependency graph for ddf.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | shibsp::DDF
| DDF objects are implemented with a handle-body idiom and require explicit destruction in order to allow stack objects to be freely mixed in structures with heap objects. More...
class | shibsp::DDFJanitor
| A "smart pointer" for disposing of DDF objects when they leave scope. More...

## Namespaces

namespace | shibsp
| Shibboleth Service Provider Library.

## Functions

std::ostream & | shibsp::operator<< (std::ostream &os, const DDF &obj)
| Serializes a DDF object to a stream.
std::istream & | shibsp::operator>> (std::istream &is, DDF &obj)
| Reconstitutes a DDF object from a stream.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

C++ DDF abstraction for interpretive RPC